---
title: "Faire le ménage"
weight: 19
output:
  blogdown::html_page:
    toc: false
    fig_width: 6
    dev: "svg"
---

<script src="/rmarkdown-libs/header-attrs/header-attrs.js"></script>


<ul>
<li><p>Pour tester si un objet existe, on utilise la fonction <code>exists</code></p></li>
<li><p>Exécuter:</p></li>
</ul>
<pre class="r"><code>x=1
exists(&quot;x&quot;)
aaaa=&quot;x&quot;
exists(&quot;a&quot;)
exists(aaaa)
exists(wojewoije)</code></pre>
<ul>
<li><p>Pour lister les objets créés, on peut utiliser la fonction <code>ls</code></p></li>
<li><p>Exécuter:</p></li>
</ul>
<pre class="r"><code>ls()</code></pre>
<ul>
<li>Pour supprimer un objet de l’environnement global, on utilise la fonction <code>rm</code></li>
</ul>
<pre class="r"><code>x=1
rm(x)
exists(&quot;x&quot;)
y=1;x=1
rm(list=c(&quot;x&quot;,&quot;y&quot;))</code></pre>
<div id="exercice" class="section level3">
<h3>Exercice</h3>
<ul>
<li>Supprimer tous les objets de l’environnement global.</li>
</ul>
<hr />
<details>
<summary>
Solution
</summary>
<pre class="r"><code>rm(list=ls())</code></pre>
</details>
<hr />
</div>
